Vulnerability Name:

CVE-2017-12129

Assigned:2017-07-31
Published:2018-04-13
Updated:2018-06-18
Summary:An exploitable Weak Cryptography for Passwords vulnerability exists in the web server functionality of Moxa EDR-810 V4.1 build 17030317. An attacker could intercept weakly encrypted passwords and could brute force them.
CVSS v3 Severity:8.0 High (CVSS v3 Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
7.0 High (Temporal CVSS v3 Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Adjacent
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
3.5 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N)
3.1 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Adjacent
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:2.9 Low (CVSS v2 Vector: AV:A/AC:M/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Adjacent_Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
2.7 Low (CCN CVSS v2 Vector: AV:A/AC:L/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Adjacent_Network
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-327
References:Source: XF
Type: UNKNOWN
moxa-cve201712129-info-disc(141664)

Source: MISC
Type: VENDOR_ADVISORY
https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0481

Vulnerable Configuration:Configuration 1:
  • cpe:/o:moxa:edr-810_firmware:4.1:*:*:*:*:*:*:*
  • AND
  • cpe:/h:moxa:edr-810:-:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    moxa edr-810 firmware 4.1
    moxa edr-810 -